Next Previous Contents

## 3.97 memcpy

> Function

>   Copy a memory area.

> Header

>   `string.h`

> Declaration

>   `void* __fastcall__ memcpy (void* dest, const void* src, size_t count);`

> Description

>   `memcpy` copies `count` bytes from the memory area pointed to by `src` into the memory area pointed to by `dest`. It returns `dest`.

> Limits

>   - The result is undefined if the memory areas do overlap. Use `memmove` to copy overlapping memory areas.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   _swap, memmove, memset

> Example

>   None.

Next Previous Contents